﻿Imports OpcLabs.BaseLib.ComInterop
Imports OpcLabs.EasyOpc.DataAccess.Extensions
Imports OpcLabs.EasyOpc.OperationModel

Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        Const serverClass As String = "Intellution.IntellutionGatewayOPCServer"

        DaItemDialog1.ServerDescriptor = serverClass
        If DaItemDialog1.ShowDialog() = DialogResult.OK Then
            Dim itemId As String = DaItemDialog1.NodeElement.ItemId
            Dim dataType As VarType
            Try
                dataType = EasyDAClient1.GetDataTypePropertyValue("", serverClass, itemId)
            Catch ex As OpcException
                MsgBox("*** Failure: " + ex.Message)
                Exit Sub
            End Try
            MsgBox("DataType: " + dataType.ToString())
        End If
    End Sub
End Class
